Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision fc93e5c77c5074a9cb64da9fd926c87d3dada178)
+++ chapter01/changelog.xml	(revision ff321d9b5ca583105d22f1f1026799496bfe7c08)
@@ -45,4 +45,35 @@
 
     <listitem>
+      <para>2018-06-25</para>
+      <itemizedlist>
+        <listitem>
+           <para>[bdubbs] - Various URL updates.  Fixes 
+           <ulink url="&lfs-ticket-root;4299">#4293</ulink> and
+           <ulink url="&lfs-ticket-root;4299">#4294</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to perl-5.28.0.  Fixes 
+           <ulink url="&lfs-ticket-root;4299">#4299</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to Sysvinit 2.90.  Fixes 
+           <ulink url="&lfs-ticket-root;4297">#4297</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to gdbm-1.15.  Fixes 
+           <ulink url="&lfs-ticket-root;4296">#4296</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to elfutils-0.172.  Fixes 
+           <ulink url="&lfs-ticket-root;4292">#4292</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to linux-4.17.2.  Fixes 
+           <ulink url="&lfs-ticket-root;4280">#4295</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-06-12</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision fc93e5c77c5074a9cb64da9fd926c87d3dada178)
+++ chapter01/whatsnew.xml	(revision ff321d9b5ca583105d22f1f1026799496bfe7c08)
@@ -96,7 +96,7 @@
       <para>GCC-&gcc-version;</para>
    </listitem>
-   <!--<listitem>
+   <listitem>
       <para>GDBM-&gdbm-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>Gettext-&gettext-version;</para>
@@ -150,7 +150,7 @@
       <para>Libcap-&libcap-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libelf-&elfutils-version;</para>
-   </listitem>-->
+   </listitem>
    <!--<listitem>
       <para>Libpipeline-&libpipeline-version;</para>
Index: chapter06/libelf.xml
===================================================================
--- chapter06/libelf.xml	(revision fc93e5c77c5074a9cb64da9fd926c87d3dada178)
+++ chapter06/libelf.xml	(revision ff321d9b5ca583105d22f1f1026799496bfe7c08)
@@ -45,11 +45,4 @@
       the elfutils-&elfutils-version;.tar.xz as the source tarball.</para>
 
-    <para>First, fix a file to be compatible with gcc-8"</para>
-
-<screen><userinput remap="pre">sed -e '/ALIGN_PRSTATUS)/{ 
-        s/__attribute/attribute_packed &amp;/
-        s/packed, //}' \
-    -i backends/linux-core-note.c</userinput></screen>
-
     <para>Prepare Libelf for compilation:</para>
 
@@ -60,5 +53,7 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>To test the results, issue <command>make check</command>.</para>
+    <para>To test the results, issue:</para>
+    
+<screen><userinput remap="test">make check</userinput></screen>
 
     <para>Install only Libelf:</para>
Index: chapter06/perl.xml
===================================================================
--- chapter06/perl.xml	(revision fc93e5c77c5074a9cb64da9fd926c87d3dada178)
+++ chapter06/perl.xml	(revision ff321d9b5ca583105d22f1f1026799496bfe7c08)
@@ -124,10 +124,10 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>To test the results (approximately 2.5 SBU), issue:</para>
+    <para>To test the results (approximately 11 SBU), issue:</para>
 
 <screen><userinput remap="test">make -k test</userinput></screen>
 
-    <note><para>Several tests related to zlib will fail due to using
-    the system version of zlib instead of the internal version.</para></note>
+    <note><para>One test fails due to using the most recent version of gdbm.
+    </para></note>
 
     <para>Install the package and clean up:</para>
Index: general.ent
===================================================================
--- general.ent	(revision fc93e5c77c5074a9cb64da9fd926c87d3dada178)
+++ general.ent	(revision ff321d9b5ca583105d22f1f1026799496bfe7c08)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180612">
+<!ENTITY version         "SVN-20180625">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180612-systemd">
+<!ENTITY versiond        "20180625-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "June 12, 2018">
+<!ENTITY releasedate     "June 25, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision fc93e5c77c5074a9cb64da9fd926c87d3dada178)
+++ packages.ent	(revision ff321d9b5ca583105d22f1f1026799496bfe7c08)
@@ -113,5 +113,5 @@
 <!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
 <!ENTITY dbus-md5 "2764bf150e5aa8005b7bc0d6c388756a">
-<!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
+<!ENTITY dbus-home "https://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-ch6-du "18 MB">
 <!ENTITY dbus-ch6-sbu "0.2 SBU">
@@ -146,8 +146,8 @@
 <!ENTITY e2fsprogs-ch6-sbu "5.1 SBU">
 
-<!ENTITY elfutils-version "0.170">
-<!ENTITY elfutils-size "8,168 KB">
+<!ENTITY elfutils-version "0.172">
+<!ENTITY elfutils-size "8,400 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "03599aee98c9b726c7a732a2dd0245d5">
+<!ENTITY elfutils-md5 "01e87ab4c5a6a249c04e22a97a4221d3">
 <!ENTITY elfutils-home "https://sourceware.org/ftp/elfutils/">
 <!ENTITY elfutils-ch6-du "74 MB">
@@ -238,8 +238,8 @@
 <!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
 
-<!ENTITY gdbm-version "1.14.1">
-<!ENTITY gdbm-size "874 KB">
+<!ENTITY gdbm-version "1.15">
+<!ENTITY gdbm-size "908 KB">
 <!ENTITY gdbm-url "&gnu;gdbm/gdbm-&gdbm-version;.tar.gz">
-<!ENTITY gdbm-md5 "c2ddcb3897efa0f57484af2bd4f4f848">
+<!ENTITY gdbm-md5 "8d990067ae46c75d16e8a9c79b0c4fd7">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
 <!ENTITY gdbm-ch6-du "10 MB">
@@ -417,11 +417,11 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "17">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "2">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;"> 
-<!ENTITY linux-size "99,781 KB">
+<!ENTITY linux-size "99,773 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "1b25fd66e33f78b5d860898e7910b3d7">
-<!ENTITY linux-home "http://www.kernel.org/">
+<!ENTITY linux-md5 "dfe836c521c754a3f54f5f535f2ea588">
+<!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
  allnoconfig extended for a hopefully-bootable build on desktop machine,
@@ -467,5 +467,5 @@
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
 <!ENTITY man-pages-md5 "ad9f1ff81276fe8d90d077484d6d4b5e">
-<!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
+<!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "27 MB">
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
@@ -491,5 +491,5 @@
 <!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
 <!ENTITY mpfr-md5 "b8dd19bd9bb1ec8831a6a582a7308073">
-<!ENTITY mpfr-home "http://www.mpfr.org/">
+<!ENTITY mpfr-home "https://www.mpfr.org/">
 <!ENTITY mpfr-ch6-du "36 MB">
 <!ENTITY mpfr-ch6-sbu "1.0 SBU">
@@ -497,5 +497,5 @@
 <!ENTITY ncurses-version "6.1">
 <!ENTITY ncurses-size "3,288 KB">
-<!ENTITY ncurses-url "&gnu;/ncurses/ncurses-&ncurses-version;.tar.gz">
+<!ENTITY ncurses-url "&gnu;ncurses/ncurses-&ncurses-version;.tar.gz">
 <!ENTITY ncurses-md5 "98c889aaf8d23910d2b92d65be2e737a">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
@@ -531,8 +531,8 @@
 <!ENTITY patch-ch6-sbu "0.2 SBU">
 
-<!ENTITY perl-version "5.26.2">
-<!ENTITY perl-size "11,652 KB">
+<!ENTITY perl-version "5.28.0">
+<!ENTITY perl-size "12,120 KB">
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
-<!ENTITY perl-md5 "1fa1b53eeff76aa37b17bfc9b2771671">
+<!ENTITY perl-md5 "f3245183c0a08f65e94a3333995af08e">
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-ch5-du "261 MB">
@@ -561,5 +561,5 @@
 <!ENTITY psmisc-url "https://sourceforge.net/projects/psmisc/files/psmisc/psmisc-&psmisc-version;.tar.xz">
 <!ENTITY psmisc-md5 "bbba1f701c02fb50d59540d1ff90d8d1">
-<!ENTITY psmisc-home "http://psmisc.sourceforge.net/">
+<!ENTITY psmisc-home "https://psmisc.sourceforge.net/">
 <!ENTITY psmisc-ch6-du "4.2 MB">
 <!ENTITY psmisc-ch6-sbu "less than 0.1 SBU">
@@ -583,5 +583,5 @@
 <!ENTITY readline-url "&gnu;readline/readline-&readline-version;.tar.gz">
 <!ENTITY readline-md5 "205b03a87fc83dab653b628c59b9fc91">
-<!ENTITY readline-home "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html">
+<!ENTITY readline-home "https://tiswww.case.edu/php/chet/readline/rltop.html">
 <!ENTITY readline-ch6-du "15 MB">
 <!ENTITY readline-ch6-sbu "0.1 SBU">
@@ -624,9 +624,9 @@
 <!ENTITY systemd-ch6-sbu  "1.1 SBU">
 
-<!ENTITY sysvinit-version "2.89">
+<!ENTITY sysvinit-version "2.90">
 <!ENTITY sysvinit-size "111 KB">
-<!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.bz2">
-<!ENTITY sysvinit-md5 "6a2e0776a9a3e29264ddec738ef0031c">
-<!ENTITY sysvinit-home "http://savannah.nongnu.org/projects/sysvinit">
+<!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.xz">
+<!ENTITY sysvinit-md5 "7b6a16bde3da494b6aac7283b79c81de">
+<!ENTITY sysvinit-home "https://savannah.nongnu.org/projects/sysvinit">
 <!ENTITY sysvinit-ch6-du "1.1 MB">
 <!ENTITY sysvinit-ch6-sbu "less than 0.1 SBU">
@@ -647,5 +647,5 @@
 <!ENTITY tcl-url "https://downloads.sourceforge.net/tcl/tcl&tcl-version;-src.tar.gz">
 <!ENTITY tcl-md5 "81656d3367af032e0ae6157eff134f89">
-<!ENTITY tcl-home "http://tcl.sourceforge.net/">
+<!ENTITY tcl-home "https://tcl.sourceforge.net/">
 <!ENTITY tcl-ch5-du "66 MB">
 <!ENTITY tcl-ch5-sbu "0.8 SBU">
Index: patches.ent
===================================================================
--- patches.ent	(revision fc93e5c77c5074a9cb64da9fd926c87d3dada178)
+++ patches.ent	(revision ff321d9b5ca583105d22f1f1026799496bfe7c08)
@@ -55,6 +55,6 @@
 
 <!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-1.patch">
-<!ENTITY sysvinit-consolidated-patch-md5 "84aba59c6beea5960c439106f5581bee">
-<!ENTITY sysvinit-consolidated-patch-size "3.7 KB">
+<!ENTITY sysvinit-consolidated-patch-md5 "b7872b43a97a81bac4f9fc8ffaef4364">
+<!ENTITY sysvinit-consolidated-patch-size "2.5 KB">
 
 <!-- 
